#ifndef GPIO_CONTROL_H
#define GPIO_CONTROL_H

int init_gpio();

void cleanup_gpio();

int turn_on_pin(int pin);

int turn_off_pin(int pin);

int probe_pin(int pin);

int turn_on_all_pins();

int turn_off_all_pins();

int wait_for_button_press(const unsigned pins[static 5]);

#endif /* GPIO_CONTROL_H */
